%define pypi_name	yq

Name:			python-%{pypi_name}
Version:		2.12.2
Release:		%mkrel 5
Summary:		jq wrapper for YAML, XML, TOML documents
Group:			Development/Python
Url:			https://pypi.org/project/yq/
Source0:		%{pypi_source %pypi_name %version tar.gz}
License:		AGPL
BuildArch:		noarch

%description
Command-line YAML/XML processor - jq wrapper for YAML/XML documents

%package -n     python3-%{pypi_name}
Summary:        Command-line YAML/XML processor - jq wrapper for YAML/XML documents
Group:          Development/Python
Provides:	yq = %version-%release
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:	jq

%description -n python3-%{pypi_name}
Command-line YAML/XML processor - jq wrapper for YAML/XML documents

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{_bindir}/*
%{python3_sitelib}/yq
%{python3_sitelib}/yq-%{version}-*.egg-info


%changelog
* Sun Mar 02 2025 wally <wally> 2.12.2-5.mga10
+ Revision: 2157983
- rebuild for python3.13

* Tue Dec 19 2023 papoteur <papoteur> 2.12.2-4.mga10
+ Revision: 2019325
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.12.2-3.mga9
+ Revision: 1822997
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 2.12.2-2.mga9
+ Revision: 1778569
- Rebuild for python-3.10

* Sun Jul 18 2021 neoclust <neoclust> 2.12.2-1.mga9
+ Revision: 1736845
- imported package python-yq

